MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::FileHeader Class Reference

represents the file header properties of a NITF file More...

`#include <FileHeader.h>`

Inheritance diagram for Nitf::FileHeader:
[legend]
Collaboration diagram for Nitf::FileHeader:
[legend]

## Public Member Functions
| FileHeader (NITFReaderManager &, LTIOStreamInf &, lt_int64 fileSize)
| ~FileHeader ()
LT_STATUS | initialize ()
| initializer More...
Version | getVersion () const
| returns the version of the file More...
LT_STATUS | createSegments (ImageSegment **&imageSegments, lt_uint32 &numImageSegments, GraphicSegment **&graphicSegments, lt_uint32 &numGraphicSegments, LabelSegment **&labelSegments, lt_uint32 &numLabelSegments, TextSegment **&textSegments, lt_uint32 &numTextSegments, DataSegment **&dataSegments, lt_uint32 &numDataSegments, ReservedSegment **&resSegments, lt_uint32 &numResSegments)
LT_STATUS | addMetadataLocal (LTIMetadataDatabase &db) const
const lt_uint8 * | getFBKGC () const
| returns the background pixel for the overall file More...
const FileMetadata * | getFileMetadata () const
| returns the object holding the file metadata More...
Public Member Functions inherited from Nitf::Segment
| Segment (NITFReaderManager &, LTIOStreamInf &, lt_int64 headerOffset, lt_int64 headerLength, lt_int64 dataOffset, lt_int64 dataLength, const char *code, int segmentNumber, bool doUserSubheader, bool doExtendedSubheader)
virtual | ~Segment ()
int | getSegmentNumber () const
const char * | getSegmentID ()
lt_int64 | getHeaderOffset () const
lt_int64 | getHeaderLength () const
lt_int64 | getDataOffset () const
lt_int64 | getDataLength () const
const SecurityBlock * | getSecurityBlock () const
const SecurityMetadata * | getSecurityMetadata () const
| returns the security information about the segment More...
virtual LT_STATUS | addMetadata (LTIMetadataDatabase &) const
const char * | getMetadataTagPrefix () const
int | getNumTREs () const
| returns the number of TREs in this segment More...
const TREData * | getTRE (int index) const
| TRE accessor. More...

## Additional Inherited Members
Protected Attributes inherited from Nitf::Segment
MetadataHelper * | m_mdHelper
FieldReader * | m_field
LTIOStreamInf & | m_stream
const lt_int64 | m_headerOffset
lt_int64 | m_headerLength
const lt_int64 | m_dataOffset
const lt_int64 | m_dataLength
NITFReaderManager & | m_manager
Version | m_version
SecurityBlock * | m_securityBlock
const int | m_segmentNumber
const char * | m_segmentID

## Detailed Description

This class represents the file header properties of an NITF file. To access the file header of a file, retrieve the FileHeader from the NITFReaderManager class. The actual properties are available from the FileMetadata class obtained from this object.

Definition at line 41 of file FileHeader.h.

## Constructor & Destructor Documentation

Nitf::FileHeader::FileHeader | ( | NITFReaderManager & | ,
|  | LTIOStreamInf & | ,
|  | lt_int64 | fileSize
| ) |  |

Nitf::FileHeader::~FileHeader | ( | ) |  |

## Member Function Documentation

LT_STATUS Nitf::FileHeader::addMetadataLocal | ( | LTIMetadataDatabase & | db) |  | const
| virtual

Implements Nitf::Segment.

LT_STATUS Nitf::FileHeader::createSegments | ( | ImageSegment **& | imageSegments,
|  | lt_uint32 & | numImageSegments,
|  | GraphicSegment **& | graphicSegments,
|  | lt_uint32 & | numGraphicSegments,
|  | LabelSegment **& | labelSegments,
|  | lt_uint32 & | numLabelSegments,
|  | TextSegment **& | textSegments,
|  | lt_uint32 & | numTextSegments,
|  | DataSegment **& | dataSegments,
|  | lt_uint32 & | numDataSegments,
|  | ReservedSegment **& | resSegments,
|  | lt_uint32 & | numResSegments
| ) |  |

const lt_uint8* Nitf::FileHeader::getFBKGC | ( | ) |  | const

This function returns the background pixel, as stored in the the FBKGC field. It consists of three values (R, G, B) with a range of 0 to 255.

Returns
  the RGB pixel values

const FileMetadata* Nitf::FileHeader::getFileMetadata | ( | ) |  | const

This function returns an object holding the basic file metadata.

Returns
  the file metadata object

Version Nitf::FileHeader::getVersion | ( | ) |  | const

This function returns the version NITF specifcation the file conforms to.

Returns
  the version of the file

LT_STATUS Nitf::FileHeader::initialize | ( | ) |  |
| virtual

This function must be called immediately after the constructor.

Returns
  success or failure

Reimplemented from Nitf::Segment.

The documentation for this class was generated from the following file:

- FileHeader.h

LizardTech